<?php

namespace Controllers;

use Bases\Controller;
use Models\Infolettre;

class InfolettreController extends Controller
{

    /* FAIRE EN SORTE QUE LORSQU'ON A UNE ERREUR, LA PAGE RELOAD ET SCROLL DOWN VERS LA SECTION INFOLETTRE */

    /**
     * Traite l'inscription à l'infolettre
     */
    public function store()
    {
        if (empty($_POST["nom"]) || empty($_POST["courriel"])) {
            $this->rediriger("index?renseignements_infolettre");
        }

        $modele_infolettre = new Infolettre;

        // Vérifier si le email correspond déjà à un compte inscrit à l'infolettre
        if ($modele_infolettre->parCourriel($_POST["courriel"])) {
            $this->rediriger("index?courriel_infolettre");
        }

        $succes = $modele_infolettre->inserer(
            $_POST["nom"],
            $_POST["courriel"]
        );

        if (!$succes) {
            $this->rediriger("index?echec_infolettre");
        }

        $this->rediriger("index?succes_infolettre");
    }
}
